Click or drag to resize

HatchCreate Method (Plane, Curve, IEnumerableCurve, Int32, Double, Double)

Create a hatch with a given set of outer and inner loops

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Hatch Create(
	Plane hatchPlane,
	Curve outerLoop,
	IEnumerable<Curve> innerLoops,
	int hatchPatternIndex,
	double rotationRadians,
	double scale
)

Parameters

hatchPlane
Type: Rhino.GeometryPlane

[Missing <param name="hatchPlane"/> documentation for "M:Rhino.Geometry.Hatch.Create(Rhino.Geometry.Plane,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Int32,System.Double,System.Double)"]

outerLoop
Type: Rhino.GeometryCurve
2d closed curve representing outer boundary of hatch
innerLoops
Type: System.Collections.GenericIEnumerableCurve
2d closed curves for inner boundaries
hatchPatternIndex
Type: SystemInt32

[Missing <param name="hatchPatternIndex"/> documentation for "M:Rhino.Geometry.Hatch.Create(Rhino.Geometry.Plane,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Int32,System.Double,System.Double)"]

rotationRadians
Type: SystemDouble

[Missing <param name="rotationRadians"/> documentation for "M:Rhino.Geometry.Hatch.Create(Rhino.Geometry.Plane,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Int32,System.Double,System.Double)"]

scale
Type: SystemDouble

[Missing <param name="scale"/> documentation for "M:Rhino.Geometry.Hatch.Create(Rhino.Geometry.Plane,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Int32,System.Double,System.Double)"]

Return Value

Type: Hatch

[Missing <returns> documentation for "M:Rhino.Geometry.Hatch.Create(Rhino.Geometry.Plane,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Int32,System.Double,System.Double)"]

See Also